Upgrading clients from v2 to v4

Discussion in 'ESET NOD32 Antivirus' started by ethos, Mar 19, 2009.

Thread Status:
Not open for further replies.
  1. ethos

    ethos Registered Member

    Joined:
    Aug 26, 2008
    Posts:
    30
    Hi

    What's the easiest way to update 100+ clients up to v4?

    RA and mirror are setup, but I believe you have to change some settings for the mirror to work with v4.

    Could someone please explain the steps...

    Many Thanks
     
  2. ethos

    ethos Registered Member

    Joined:
    Aug 26, 2008
    Posts:
    30
    Just to add the mirror is set in nod32 itself not the RA... it's unticked there.
     
  3. Marcos

    Marcos Eset Staff Account

    Joined:
    Nov 22, 2002
    Posts:
    14,375
    First download the desired installation file from the download page through your browser (the simple browser built in ERA currently provides only links to v3). Then create an installation package using that msi, create the desired configuration and finally deploy the package to desired clients. V4 will be installed over v3 on the clients. However, since we're going to release a newer build with fixes shortly, I'd suggest that you wait a few more days and then install the newer version 4.
     
  4. ethos

    ethos Registered Member

    Joined:
    Aug 26, 2008
    Posts:
    30
    I have the V4 MSI (which i've installed on a test machine). Once i've made the changes (mirror etc..) what's the best way to make another msi to include those changes?

    Also the mirror is set for v2 clients in EAV (port 8081) I have set up another mirror from RA on 8082 excluding v2. I know they don't recommend this, but I can't see it causing any issues on different ports (and locations).

    I have pointed my version 4 towards the 8082 port, when I try and update from the client it says "module has been updated" every time I update... even though nothing has changed.

    Is this normal with v4?
     
  5. k40red

    k40red Registered Member

    Joined:
    Mar 19, 2009
    Posts:
    3
    I have just upgraded my server to the new version and my consol is there a way to push out v4.0 clients from the consol through remote install?
     
  6. ethos

    ethos Registered Member

    Joined:
    Aug 26, 2008
    Posts:
    30
    I think you can add the package to the remote install, i'm playing with it now.

    I pushed it out to another test machine, it didn't seem to have put the update server in even tho I stated it.

    I also can't see an option from the config editor for the package to turn off the warnings for windows updates...
     
  7. k40red

    k40red Registered Member

    Joined:
    Mar 19, 2009
    Posts:
    3
    I was playing around with it a bit but when I pushed out a remote install it still pushed out v3. Not sure if I am missing a step.
     
  8. ethos

    ethos Registered Member

    Joined:
    Aug 26, 2008
    Posts:
    30
    You need to download the v4 msi from the website, then add it as a package.

    I think I may have sussed it out, I'm waiting for an update so I can see if the mirror works!!
     
  9. k40red

    k40red Registered Member

    Joined:
    Mar 19, 2009
    Posts:
    3
    Ok all is working but from what I read they will be releasing a newer version soon.
     
  10. manney

    manney Registered Member

    Joined:
    Jun 29, 2004
    Posts:
    32
    Marcos, in your posting you said that v4 will install over v3, but what about over v2.7? I am in a similar position to ethos, and have approx 250 users in 25+ locations to upgrade. The manually uninstalling of v2.7 to upgrade to v3 was a major pain. I hope this has been corrected for v4
     
    Last edited: Mar 20, 2009
  11. ethos

    ethos Registered Member

    Joined:
    Aug 26, 2008
    Posts:
    30
    Manney, I THINK i've worked this out (for my scenario anyway).

    EAV currently has the V2 mirror so i've left that on port 8081.

    I've now set up another mirror (in a different folder) in remote administrator on port 8082. I didn't tick the "make a v2 mirror too". This enables you to effectively run both versions side by side without having to make any configuration changes.

    To create a package:

    * Download the v4 msi from eset.com
    * Go to the remote install tab in RA
    * Select Manage packages
    * Choose ADD
    * Browse to the V4 MSI and select
    * You can then edit the config from the edit button below (to set update server etc..). I have also disabled the windows update warnings
    * Select Save

    The package is now ready for pushing out. You can do this via the console OR:

    * Select Export to folder or logon script
    * Select the package you just created
    * Select a folder to export the exe into (ideally a current share)
    * Press export

    Now create a batch file to point to this so:
    \\server\share\einstaller.exe

    You can this push this out via group policy.

    I'm sure there are other ways to do it, but this is how far i've got.

    Hope it helps :)
     
  12. ethos

    ethos Registered Member

    Joined:
    Aug 26, 2008
    Posts:
    30
    Regarding updating from v2 to v4 this SEEMS to work ok, although I just noticed they recommend uinstalled any previous versions first...
     
  13. manney

    manney Registered Member

    Joined:
    Jun 29, 2004
    Posts:
    32
    Cheers for the reply ethos. The query I had though, was more to do with pushing v4 onto a client already installed with v2.7


    With V3 you had to manually uninstall v2.7 off the workstaion before installing v3, i just need to know if I can push v4 onto v2.7 remotly, I know that I can push it out onto v3 installed clients because i have upgraded our in-house installation pretty easily
    :)
     
  14. ethos

    ethos Registered Member

    Joined:
    Aug 26, 2008
    Posts:
    30
    :D

    I've updated 2 test machines from v2.7 to v4 using my method and they seem to be ok? Our whole site is 2.7 so I might trial another few machines for a week or so, but so far this method seems fine.

    As stated before, they do suggest uninstalling any version of AV before installing nod32.

    Seems a bit strange they can't make the update from their OWN software smooth? (from 2.7 to 3 as you say).
     
Thread Status:
Not open for further replies.